Package fr.gouv.vitam.common.database.builder.query

# Class PathQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.query.Query
fr.gouv.vitam.common.database.builder.query.PathQuery

Direct Known Subclasses:
  `PathQuery`

public class PathQuery extends Query
Path Query

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `currentObject, currentQuery, currentTokenQUERY, DATE, exactdepth, extraInfo, isFullText, ready, relativedepth`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PathQuery()`
  ``
  `PathQuery(String... pathes)`
  Path Query constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final PathQuery`
  `add(String... pathes)`
  Add other paths (at end) to a PATH Query

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `clean, cleanDepth, createQueryArray, createQueryVariable, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, getCurrentObject, getCurrentQuery, getExtraInfo, getNode, getParserExactdepth, getParserRelativeDepth, getQUERY, isFullText, isReady, setDepthLimit, setExactDepthLimit, setExtraInfo, setFullText, setParserExactdepth, setParserRelativeDepth, setReady, setRelativeDepthLimit, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PathQuery

    protected PathQuery()

  - ### PathQuery

    public PathQuery(String... pathes) throws InvalidCreateOperationException
    Path Query constructor
    Parameters:
      `pathes` - node's branch
    Throws:
      `InvalidCreateOperationException` - when query is not valid

- ## Method Details

  - ### add

    public final PathQuery add(String... pathes) throws InvalidCreateOperationException
    Add other paths (at end) to a PATH Query
    Parameters:
      `pathes` - node's branch
    Returns:
      this PathQuery
    Throws:
      `InvalidCreateOperationException` - when query is not valid